Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class AbstractStepsFactory

    java.lang.Object
      org.jbehave.core.steps.AbstractStepsFactory

All Implemented Interfaces:
  InjectableStepsFactory

Direct Known Subclasses:
  InstanceStepsFactory

    public abstract class AbstractStepsFactory

extends Object
implements InjectableStepsFactory

An abstract implementation of `InjectableStepsFactory` that is provided by concrete subclasses Object instances which contain the candidate steps methods. The Object instances are wrapped by `Steps`.

The object instances are also inspected for methods annotated by `AsParameterConverter` and the `ParameterConverters.ParameterConverter` is configured accordingly.

Nested Class Summary
`static class` | `AbstractStepsFactory.StepsInstanceNotFound`

Constructor Summary
`AbstractStepsFactory(Configuration configuration)`

Method Summary
`List<CandidateSteps>` | `createCandidateSteps()`
`protected boolean` | `hasAnnotatedMethods(Type type)` Determines if the given type is a `Class` containing at least one method annotated with annotations from package "org.jbehave.core.annotations".
`protected abstract List<Class<?>>` | `stepsTypes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbehave.core.steps.InjectableStepsFactory
`createInstanceOfType`

Constructor Detail

### AbstractStepsFactory

    public AbstractStepsFactory(Configuration configuration)

Method Detail

### createCandidateSteps

    public List<CandidateSteps> createCandidateSteps()

  Specified by:
    `createCandidateSteps` in interface `InjectableStepsFactory`

### stepsTypes

    protected abstract List<Class<?>> stepsTypes()

### hasAnnotatedMethods

    protected boolean hasAnnotatedMethods(Type type)

  Determines if the given type is a `Class` containing at least one method annotated with annotations from package "org.jbehave.core.annotations".

  Parameters:
    `type` - the Type of the steps instance
  Returns:
    A boolean, `true` if at least one annotated method is found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.